﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace GettingStartedButton
{
    public partial class MainPage : ContentPage
    {
        void Handle_Clicked(object sender, System.EventArgs e)
        {
            Navigation.PushAsync(new SecondSegmentPage() { SelectionIndicatorSettings = segmentedControl.SelectionIndicatorSettings});
        }

        void Handle_SelectionChanged(object sender, Syncfusion.XForms.Buttons.SelectionChangedEventArgs e)
        {
            if (e.Index == 0)
            {
                viewModel.SegmentControlColor = Color.FromHex("#BADAF6");
                viewModel.SegmentIndicatorColor = Color.FromHex("#007DEE");
            }
            else
            {
                viewModel.SegmentControlColor = Color.FromHex("#E4E4E4");
                viewModel.SegmentIndicatorColor = Color.FromHex("#C2C1C1");
            }
        }

        ViewModel viewModel;

        public MainPage()
        {
            InitializeComponent();

            viewModel = new ViewModel();
            this.BindingContext = viewModel;
        }
    }
}
