﻿using System;
using System.Collections.Generic;
using Syncfusion.XForms.Buttons;
using Xamarin.Forms;

namespace GettingStartedButton
{
    public partial class SecondSegmentPage : ContentPage
    {

        public SelectionIndicatorSettings SelectionIndicatorSettings
        {
            get;
            set;
        }

        void Handle_SelectionChanged(object sender, Syncfusion.XForms.Buttons.SelectionChangedEventArgs e)
        {
            if (e.Index == 0)
            {
                viewModel.SegmentControlColor = Color.FromHex("#BADAF6");
                viewModel.SegmentIndicatorColor = SelectionIndicatorSettings.Color;
            }
            else
            {
                viewModel.SegmentControlColor = Color.FromHex("#E4E4E4");
                viewModel.SegmentIndicatorColor =SelectionIndicatorSettings.Color;
            }
        }

        ViewModel viewModel;

        public SecondSegmentPage()
        {
            InitializeComponent();

            viewModel = new ViewModel();
            this.BindingContext = viewModel;
        }
    }
}
